%define anolis_release 2

Name:           python-testpath
Version:        0.6.0
Release:        %{anolis_release}%{?dist}
Summary:        Test utilities for code working with files and commands

License:        MIT
URL:            https://github.com/jupyter/testpath

Source0:        %{pypi_source testpath}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-tomli
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%global _description %{expand:
Testpath is a collection of utilities for Python code working with files and
commands.

It contains functions to check things on the filesystem, and tools for
mocking system commands and recording calls to those.}

%description %_description


%package -n     python3-testpath
Summary:        %summary

%description -n python3-testpath %_description


%package -n     python3-testpath-doc
Summary:        %{name} documentation

%description -n python3-testpath-doc
Documentation for %{name}.


%prep
%autosetup -n testpath-%{version}

# The exe files are only needed on Microsoft Windows
rm -f testpath/*.exe

%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel

# generate html docs
sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files testpath


%check
%pytest


%files -n python3-testpath -f %{pyproject_files}
%license LICENSE

%files -n python3-testpath-doc
%doc html
%doc README.rst

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.6.0-2
- Rebuild with python3.11

* Fri Apr 21 2023 Funda Wang <fundawang@yeah.net> - 0.6.0-1
- Import package for anolis 23
